Package Attribute
To view all attributes for a specific package:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
Responses
200
Successful response
No content
get/api/v2/package/{packageId}/attribute
GET /api/v2/package/{packageId}/attribute HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To create a new package attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
Body
attributestringRequired
valuestringOptional
Responses
200
Successful response
No content
post/api/v2/package/{packageId}/attribute
POST /api/v2/package/{packageId}/attribute HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"attribute": "text",
"value": "text"
}200
Successful response
No content
To view details for a specific package attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageAttributeIdstringRequired
Responses
200
Successful response
No content
get/api/v2/package/{packageId}/attribute/{packageAttributeId}
GET /api/v2/package/{packageId}/attribute/{packageAttributeId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To delete a specific package attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageAttributeIdstringRequired
Responses
200
Successful response
application/json
PACKAGE_ATTRIBUTEintegerOptional
delete/api/v2/package/{packageId}/attribute/{packageAttributeId}
DELETE /api/v2/package/{packageId}/attribute/{packageAttributeId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"PACKAGE_ATTRIBUTE": 1
}To update a specific package attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageAttributeIdstringRequired
Body
valuestringOptional
Responses
200
Successful response
No content
patch/api/v2/package/{packageId}/attribute/{packageAttributeId}
PATCH /api/v2/package/{packageId}/attribute/{packageAttributeId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"value": "text"
}200
Successful response
No content
Last updated
Was this helpful?